### Function

# Gdk intern_mime_type

#### Declaration [src]

    const char*
    gdk_intern_mime_type (
      const char* string
    )

#### Description [src]

Canonicalizes the given mime type and interns the result.

If `string` is not a valid mime type, `NULL` is returned instead. See RFC 2048 for the syntax if mime types.

#### Parameters

`string` | `const char*`
| String of a potential mime type.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `const char*`
| An interned string for the canonicalized mime type or `NULL` if the string wasn’t a valid mime type.
| The data is owned by the called function.
| The return value can be `NULL`.
| The string is a NUL terminated UTF-8 string.